nxt.db

## Class BasicDb.DbProperties

- java.lang.Object
- - nxt.db.BasicDb.DbProperties

- Enclosing class:
    BasicDb

      public static final class BasicDb.DbProperties
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DbProperties()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BasicDb.DbProperties` | `dbDir(java.lang.String dbDir)`
    `BasicDb.DbProperties` | `dbParams(java.lang.String dbParams)`
    `BasicDb.DbProperties` | `dbPassword(java.lang.String dbPassword)`
    `BasicDb.DbProperties` | `dbType(java.lang.String dbType)`
    `BasicDb.DbProperties` | `dbUrl(java.lang.String dbUrl)`
    `BasicDb.DbProperties` | `dbUsername(java.lang.String dbUsername)`
    `BasicDb.DbProperties` | `defaultLockTimeout(int defaultLockTimeout)`
    `BasicDb.DbProperties` | `loginTimeout(int loginTimeout)`
    `BasicDb.DbProperties` | `maxCacheSize(int maxCacheSize)`
    `BasicDb.DbProperties` | `maxConnections(int maxConnections)`
    `BasicDb.DbProperties` | `maxMemoryRows(int maxMemoryRows)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DbProperties

          public DbProperties()

  - ### Method Detail

    - #### maxCacheSize

          public BasicDb.DbProperties maxCacheSize(int maxCacheSize)

    - #### dbUrl

          public BasicDb.DbProperties dbUrl(java.lang.String dbUrl)

    - #### dbType

          public BasicDb.DbProperties dbType(java.lang.String dbType)

    - #### dbDir

          public BasicDb.DbProperties dbDir(java.lang.String dbDir)

    - #### dbParams

          public BasicDb.DbProperties dbParams(java.lang.String dbParams)

    - #### dbUsername

          public BasicDb.DbProperties dbUsername(java.lang.String dbUsername)

    - #### dbPassword

          public BasicDb.DbProperties dbPassword(java.lang.String dbPassword)

    - #### maxConnections

          public BasicDb.DbProperties maxConnections(int maxConnections)

    - #### loginTimeout

          public BasicDb.DbProperties loginTimeout(int loginTimeout)

    - #### defaultLockTimeout

          public BasicDb.DbProperties defaultLockTimeout(int defaultLockTimeout)

    - #### maxMemoryRows

          public BasicDb.DbProperties maxMemoryRows(int maxMemoryRows)